=== debian/changelog ===
libest (3.2.0+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.
  * debian/control: Mark package libest-doc as Multi-Arch: foreign.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Jul 2024 21:46:44 -0400

libest (3.2.0+ds-1) unstable; urgency=medium

  * Initial packaging. Closes: #763887

 -- Andreas Schärtl <andreas@schaertl.me>  Tue, 13 Feb 2024 19:32:58 +0100
