=== debian/control ===
Source: libest
Maintainer: Andreas Schärtl <andreas@schaertl.me>
Uploaders:
    Christoph Biedl <debian.axhn@manchmal.in-ulm.de>,
Homepage: https://github.com/cisco/libest
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 12),
    doxygen,
    libssl-dev,
    scdoc,
    texlive-fonts-recommended,
    texlive-latex-extra,
    texlive-plain-generic,
Priority: optional
Rules-Requires-Root: no
Section: libs

Package: libest3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: Enrollment over Secure Transport (EST), library
 The libEST library is used for secure certificate enrollment (EST,
 RFC 7030), and is compatible with Suite B certs (as well as RSA and
 DSA certificates). EST is a suitable replacement for the Simple
 Certificate Enrollment Protocol (SCEP, RFC 8894).

Package: libest-dev
Architecture: any
Depends: ${misc:Depends},
    libest3 (= ${binary:Version}),
Section: libdevel
Multi-Arch: same
Description: Enrollment over Secure Transport (EST), development files
 Development files for libEST, a library is used for secure certificate
 enrollment.

Package: libest-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Utils that make use of the EST protocol
 Included from the libest examples/ directory, these tools are
 fully featured implementations of EST server and client.

Package: libest-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Suggests:
    pdf-viewer,
Section: doc
Description: Enrollment over Secure Transport (EST), documentation
 This package provides the documentation and reference of the libEST
 implementation.
