=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-brski

override_dh_installdocs:
	doxygen doxygen.cfg
	$(MAKE) -C latex
	dh_installdocs

override_dh_installman:
	debian/generate-manpages build-manpages
	dh_installman
