=== debian/watch ===

version=4
opts="searchmode=plain, \
    filenamemangle=s/$/.tar.gz/, \
    dversionmangle=s/\+ds//, \
    oversionmangle=s/$/+ds/" \
    https://api.github.com/repos/cisco/@PACKAGE@/releases \
        https://api.github.com/repos/cisco/@PACKAGE@/tarball/r([0-9][.0-9]*)
